import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IgxFocusDirective {
    private element;
    private comp?;
    private focusState;
    /**
     * Returns the state of the igxFocus.
     * ```typescript
     * @ViewChild('focusContainer', {read: IgxFocusDirective})
     * public igxFocus: IgxFocusDirective;
     * let isFocusOn = this.igxFocus.focused;
     * ```
     *
     * @memberof IgxFocusDirective
     */
    get focused(): boolean;
    /**
     * Sets the state of the igxFocus.
     * ```html
     * <igx-input-group >
     *  <input #focusContainer igxInput [igxFocus]="true"/>
     * </igx-input-group>
     * ```
     *
     * @memberof IgxFocusDirective
     */
    set focused(val: boolean);
    /**
     * Gets the native element of the igxFocus.
     * ```typescript
     * @ViewChild('focusContainer', {read: IgxFocusDirective})
     * public igxFocus: IgxFocusDirective;
     * let igxFocusNativeElement = this.igxFocus.nativeElement;
     * ```
     *
     * @memberof IgxFocusDirective
     */
    get nativeElement(): any;
    constructor(element: ElementRef, comp?: any[]);
    /**
     * Triggers the igxFocus state.
     * ```typescript
     * @ViewChild('focusContainer', {read: IgxFocusDirective})
     * public igxFocus: IgxFocusDirective;
     * this.igxFocus.trigger();
     * ```
     *
     * @memberof IgxFocusDirective
     */
    trigger(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxFocusDirective, [null, { optional: true; self: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxFocusDirective, "[igxFocus]", ["igxFocus"], { "focused": "igxFocus"; }, {}, never, never, false, never>;
}
/**
 * @hidden
 */
export declare class IgxFocusModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxFocusModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<IgxFocusModule, [typeof IgxFocusDirective], never, [typeof IgxFocusDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<IgxFocusModule>;
}
