import { TemplateRef } from '@angular/core';
import { GridType } from '../common/grid.interface';
import * as i0 from "@angular/core";
export declare class IgxExcelTextDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxExcelTextDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxExcelTextDirective, "[excelText],excel-text", never, {}, {}, never, never, false, never>;
}
export declare class IgxCSVTextDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxCSVTextDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxCSVTextDirective, "[csvText],csv-text", never, {}, {}, never, never, false, never>;
}
/**
 * Provides a way to template the title portion of the toolbar in the grid.
 *
 * @igxModule IgxGridToolbarModule
 * @igxParent IgxGridToolbarComponent
 *
 * @example
 * ```html
 * <igx-grid-toolbar-title>My custom title</igx-grid-toolbar-title>
 * ```
 */
export declare class IgxGridToolbarTitleComponent {
    /**
     * Host `class.igx-grid-toolbar__title` binding.
     *
     * @hidden
     * @internal
     */
    cssClass: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxGridToolbarTitleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxGridToolbarTitleComponent, "igx-grid-toolbar-title", never, {}, {}, never, ["*"], false, never>;
}
/**
 * Provides a way to template the action portion of the toolbar in the grid.
 *
 * @igxModule IgxGridToolbarModule
 * @igxParent IgxGridToolbarComponent
 *
 * @example
 * ```html
 * <igx-grid-toolbar-actions>
 *  <some-toolbar-action-here />
 * </igx-grid-toolbar-actions>
 * ```
 */
export declare class IgxGridToolbarActionsComponent {
    /**
     * Host `class.igx-grid-toolbar__actions` binding.
     *
     * @hidden
     * @internal
     */
    cssClass: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxGridToolbarActionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxGridToolbarActionsComponent, "igx-grid-toolbar-actions", never, {}, {}, never, ["*"], false, never>;
}
export interface IgxGridToolbarTemplateContext {
    $implicit: GridType;
}
export declare class IgxGridToolbarDirective {
    template: TemplateRef<IgxGridToolbarTemplateContext>;
    constructor(template: TemplateRef<IgxGridToolbarTemplateContext>);
    static ngTemplateContextGuard(_dir: IgxGridToolbarDirective, ctx: unknown): ctx is IgxGridToolbarTemplateContext;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxGridToolbarDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxGridToolbarDirective, "[igxGridToolbar]", never, {}, {}, never, never, false, never>;
}
