import { TemplateRef, EventEmitter, QueryList } from '@angular/core';
import { DisplayDensityBase, IDisplayDensityOptions } from '../core/density';
import * as i0 from "@angular/core";
export interface IListChild {
    index: number;
}
/** @hidden */
export declare class IgxListBaseDirective extends DisplayDensityBase {
    protected _displayDensityOptions: IDisplayDensityOptions;
    itemClicked: EventEmitter<any>;
    allowLeftPanning: boolean;
    allowRightPanning: boolean;
    panEndTriggeringThreshold: number;
    leftPan: EventEmitter<any>;
    rightPan: EventEmitter<any>;
    startPan: EventEmitter<any>;
    endPan: EventEmitter<any>;
    resetPan: EventEmitter<any>;
    panStateChange: EventEmitter<any>;
    children: QueryList<any>;
    listItemLeftPanningTemplate: IgxListItemLeftPanningTemplateDirective;
    listItemRightPanningTemplate: IgxListItemRightPanningTemplateDirective;
    constructor(_displayDensityOptions: IDisplayDensityOptions);
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxListBaseDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxListBaseDirective, "[igxListBase]", never, {}, {}, never, never, false, never>;
}
export declare enum IgxListPanState {
    NONE = 0,
    LEFT = 1,
    RIGHT = 2
}
export declare class IgxEmptyListTemplateDirective {
    template: TemplateRef<any>;
    constructor(template: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxEmptyListTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxEmptyListTemplateDirective, "[igxEmptyList]", never, {}, {}, never, never, false, never>;
}
export declare class IgxDataLoadingTemplateDirective {
    template: TemplateRef<any>;
    constructor(template: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxDataLoadingTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxDataLoadingTemplateDirective, "[igxDataLoading]", never, {}, {}, never, never, false, never>;
}
export declare class IgxListItemLeftPanningTemplateDirective {
    template: TemplateRef<any>;
    constructor(template: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxListItemLeftPanningTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxListItemLeftPanningTemplateDirective, "[igxListItemLeftPanning]", never, {}, {}, never, never, false, never>;
}
export declare class IgxListItemRightPanningTemplateDirective {
    template: TemplateRef<any>;
    constructor(template: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxListItemRightPanningTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxListItemRightPanningTemplateDirective, "[igxListItemRightPanning]", never, {}, {}, never, never, false, never>;
}
