import { IQueryBuilderResourceStrings } from '../core/i18n/query-builder-resources';
import * as i0 from "@angular/core";
export declare class IgxQueryBuilderHeaderComponent {
    private _resourceStrings;
    /**
     * An @Input property that sets the title of the `IgxQueryBuilderHeaderComponent`.
     *
     * @example
     * ```html
     * <igx-query-builder-header title="Sample Query Builder"></igx-query-builder-header>
     * ```
     */
    title: string;
    /**
     * An @Input property to show/hide the legend.
     *
     * @example
     * ```html
     * <igx-query-builder-header [showLegend]="false"></igx-query-builder-header>
     * ```
     */
    showLegend: boolean;
    /**
     * Sets the resource strings.
     * By default it uses EN resources.
     */
    set resourceStrings(value: IQueryBuilderResourceStrings);
    /**
     * Returns the resource strings.
     */
    get resourceStrings(): IQueryBuilderResourceStrings;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxQueryBuilderHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxQueryBuilderHeaderComponent, "igx-query-builder-header", never, { "title": "title"; "showLegend": "showLegend"; "resourceStrings": "resourceStrings"; }, {}, never, ["*"], false, never>;
}
