import { IColumnList, IExportRecord } from '../exporter-common/base-export-service';
import { IgxExcelExporterOptions } from './excel-exporter-options';
import { WorksheetDataDictionary } from './worksheet-data-dictionary';
/** @hidden */
export declare class WorksheetData {
    private _data;
    options: IgxExcelExporterOptions;
    sort: any;
    columnCount: number;
    rootKeys: string[];
    indexOfLastPinnedColumn: number;
    columnWidths: number[];
    owner: IColumnList;
    owners: Map<any, IColumnList>;
    private _rowCount;
    private _dataDictionary;
    private _isSpecialData;
    private _hasMultiColumnHeader;
    private _hasMultiRowHeader;
    private _isHierarchical;
    private _hasSummaries;
    private _isPivotGrid;
    private _isTreeGrid;
    private _isGroupedGrid;
    constructor(_data: IExportRecord[], options: IgxExcelExporterOptions, sort: any, columnCount: number, rootKeys: string[], indexOfLastPinnedColumn: number, columnWidths: number[], owner: IColumnList, owners: Map<any, IColumnList>);
    get data(): IExportRecord[];
    get rowCount(): number;
    get isEmpty(): boolean;
    get isSpecialData(): boolean;
    get dataDictionary(): WorksheetDataDictionary;
    get hasMultiColumnHeader(): boolean;
    get hasSummaries(): boolean;
    get hasMultiRowHeader(): boolean;
    get isHierarchical(): boolean;
    get isTreeGrid(): boolean;
    get isPivotGrid(): boolean;
    get isGroupedGrid(): boolean;
    get maxLevel(): number;
    get multiColumnHeaderRows(): number;
    private initializeData;
}
